<%
sub page_next()
%> 共<font color="#FF0000"><%=session("recordcount")%></font>条记录<font color="#FF0000"><%=session("pagecount")%></font>页&nbsp;这是第<font color="#FF0000"><%=(request("n")+pn)/pn%></font>页 
<%
P1="first"
P2="next"
P3="before"
P4="last"
if x-pn>0 then
%>
【<a href="?n=0&page=<%=p1%>&act=<%=act%>">第一页</a>】
【<a href="?n=<%=x-(i+pn-1)%>&page=<%=p3%>&act=<%=act%>">上一页</a>】 
<%end if%>
<%if not rs.eof then%>
【<a href="?n=<%=x%>&page=<%=p2%>&act=<%=act%>">下一页</a>】
【<a href="?n=<%=session("pagecount")*pn-pn%>&page=<%=p4%>&act=<%=act%>">最后页</a>】
<%end if
if session("pagecount")<=8 then
PC=session("pagecount")
else
PC=8
end if
h=int(x/pn)
y=PC+h-1
if y>=session("pagecount") then
y=session("pagecount")
end if
if h>0 then
for j=h to y
if j=h then
TP=(h-1)*pn
end if
if j=session("pagecount") then
TP=session("pagecount")*pn-pn
end if
if j>h and j<session("pagecount") then
TP=(j-1)*pn
end if%>
<a href="?n=<%=TP%>&page=<%=j%>&act=<%=act%>"><%=j%></a>&nbsp; 
<%next
end if
end sub
%>
